YPPUSH(8)

NAME
yppush - force propagation of updated NIS databases

SYNOPSIS
yppush [-d domain] [-v] mapname [mapname ...]

DESCRIPTION
yppush distributes updated NIS databases (or maps) from an NIS master server to NIS slave servers within an NIS domain. It is normally only run on the NIS master by /var/yp/Makefile whenever any of the NIS maps are updated. Note that /var/yp/Makefile does not invoke yppush by default: the NOPUSH=True entry in the Makefile must first be commented out (the default FreeBSD configuration assumes a small network with only a single NIS server; in such a configuration, yppush is not needed).

yppush determines the names of the slave servers for a domain by searching the ypservers map. Once it has a complete list of slave servers, it sends a request to each of them to initiate a map transfer, which is done using ypxfr(8). Included within each request is the name of the map to be copied and some special information required by ypxfr(8) to successfully 'callback' to yppush and carry out the transfer. Any status or error messages yppush receives from ypxfr(8) will be printed to stdout.

OPTIONS
The following options are supported by yppush:

-d domain
    Specify a particular domain. The NIS domain of the host system is used by default.

-v  Verbose mode: causes yppush to print debugging messages as it runs.

FILES
/var/yp/[domainname]/ypservers
    The NIS ypservers map containing the names of all servers in a particular NIS domain.

SEE ALSO
ypserv(8), ypxfr(8), yp(8)

BUGS
The mechanism for transfering NIS maps in NIS version 1 is different that that in NIS version 2. This version of yppush has support for transfering maps to NIS version 1 systems, but this support has not been tested and is not guaranteed to work. Fortunately, the majority of systems today use NIS version 2.

LICENSE
This program is covered by the GNU Public License version 2.

AUTHOR
Tobias Reber (original Linux version)
Bill Paul <wpaul@ctr.columbia.edu> (port to FreeBSD and various changes)